Groovy 1.7.0

## org.codehaus.groovy.ast.builder
Class AstStringCompiler

    java.lang.Object
      org.codehaus.groovy.ast.builder.AstStringCompiler

    @PackageScope
    class AstStringCompiler
    extends Object

This class handles converting Strings to ASTNode lists.

author:
  Hamlet D'Arcy

Constructor Summary
`AstStringCompiler()`

Method Summary
`List` | `compile(String script, CompilePhase compilePhase, boolean statementsOnly)` Performs the String source to {

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### AstStringCompiler

    AstStringCompiler()

Method Detail

### compile

    List compile(String script, CompilePhase compilePhase, boolean statementsOnly)

  Performs the String source to List of ASTNode.
  param:
    script a Groovy script in String form
  param:
    compilePhase the int based CompilePhase to compile it to.
  param:
    statementsOnly

Copyright © 2003-2009 The Codehaus. All rights reserved.